You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mesos.apache.org by bm...@apache.org on 2013/04/19 23:06:29 UTC

svn commit: r1470045 - /incubator/mesos/trunk/hadoop/TUTORIAL.sh

Author: bmahler
Date: Fri Apr 19 21:06:28 2013
New Revision: 1470045

URL: http://svn.apache.org/r1470045
Log:
Added a check for required build tools in the Hadoop tutorial.

From: Brenden Matthews <br...@diddyinc.com>
Review: https://reviews.apache.org/r/10558

Modified:
    incubator/mesos/trunk/hadoop/TUTORIAL.sh

Modified: incubator/mesos/trunk/hadoop/TUTORIAL.sh
URL: http://svn.apache.org/viewvc/incubator/mesos/trunk/hadoop/TUTORIAL.sh?rev=1470045&r1=1470044&r2=1470045&view=diff
==============================================================================
--- incubator/mesos/trunk/hadoop/TUTORIAL.sh (original)
+++ incubator/mesos/trunk/hadoop/TUTORIAL.sh Fri Apr 19 21:06:28 2013
@@ -111,6 +111,28 @@ __EOF__
     fi
 done
 
+# Make sure we have all the programs we need.
+programs="mvn \
+  ant"
+
+for program in `echo ${programs}`; do
+    which ${program} > /dev/null
+    if test "$?" != 0; then
+        cat <<__EOF__
+
+${RED}We seem to be missing ${program} from the path.  Please install
+${program} and re-run this tutorial.  If you still have troubles, please report
+this to:
+
+  mesos-dev@incubator.apache.org
+
+(Remember to include as much debug information as possible.)${NORMAL}
+
+__EOF__
+        exit 1
+    fi
+done
+
 
 # Start the tutorial!
 cat <<__EOF__